seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2020/04/09, 20:37:53


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: [solved] dependencies problem with xserver-xorg  (Read 19925 times)

0 Members and 1 Guest are viewing this topic.

Offline Jörg

  • User
  • Posts: 95
[solved] dependencies problem with xserver-xorg
« on: 2015/05/05, 08:49:07 »
Yesterday's DU pulled in new xserver-packages, but today after trying to make a DU I see the following message:

Code: [Select]
jorg@thinkpad-s540:~$ su
Password:
[08:06:16] root@thinkpad-s540:/home/jorg# apt-get update         
Hit http://ftp.spline.de unstable InRelease
Hit http://packages.siduction.org unstable InRelease                   
Hit http://ftp.spline.de unstable InRelease                           
Hit http://ftp.de.debian.org unstable InRelease                       
Hit http://ftp.spline.de unstable InRelease     
Hit http://packages.siduction.org unstable/main amd64 Packages       
Hit http://ftp.spline.de unstable/main amd64 Packages                 
Hit http://ftp.spline.de unstable/contrib amd64 Packages                                                         
Get:1 http://ftp.de.debian.org unstable/main amd64 Packages/DiffIndex [7,876 B]                                   
Hit http://ftp.spline.de unstable/non-free amd64 Packages                       
Hit http://ftp.spline.de unstable/main amd64 Packages
Hit http://ftp.spline.de unstable/contrib amd64 Packages
Hit http://ftp.spline.de unstable/non-free amd64 Packages
Hit http://packages.siduction.org unstable/contrib amd64 Packages
Hit http://packages.siduction.org unstable/non-free amd64 Packages
Get:2 http://ftp.de.debian.org unstable/contrib amd64 Packages/DiffIndex [7,819 B]   
Get:3 http://ftp.de.debian.org unstable/non-free amd64 Packages/DiffIndex [7,819 B]
Get:4 http://ftp.de.debian.org unstable/contrib Translation-en/DiffIndex [7,819 B]
Get:5 http://ftp.de.debian.org unstable/main Translation-en/DiffIndex [7,876 B]       
Get:6 http://ftp.de.debian.org unstable/non-free Translation-en/DiffIndex [7,819 B]   
Hit http://ftp.spline.de unstable/main amd64 Packages
Hit http://ftp.spline.de unstable/contrib amd64 Packages
Hit http://ftp.spline.de unstable/non-free amd64 Packages
Ign http://packages.siduction.org unstable/contrib Translation-en_US
Ign http://packages.siduction.org unstable/contrib Translation-en
Ign http://packages.siduction.org unstable/main Translation-en_US
Ign http://packages.siduction.org unstable/main Translation-en
Ign http://packages.siduction.org unstable/non-free Translation-en_US
Ign http://packages.siduction.org unstable/non-free Translation-en
Ign http://ftp.spline.de unstable/contrib Translation-en_US
Ign http://ftp.spline.de unstable/contrib Translation-en                                                                           
Ign http://ftp.spline.de unstable/main Translation-en_US                                                                           
Ign http://ftp.spline.de unstable/main Translation-en                                                                             
Ign http://ftp.spline.de unstable/non-free Translation-en_US                                                                       
Ign http://ftp.spline.de unstable/non-free Translation-en                                                                         
Ign http://ftp.spline.de unstable/contrib Translation-en_US                                                                       
Ign http://ftp.spline.de unstable/contrib Translation-en                                                                           
Ign http://ftp.spline.de unstable/main Translation-en_US                                                                           
Ign http://ftp.spline.de unstable/main Translation-en                                                                               
Ign http://ftp.spline.de unstable/non-free Translation-en_US                                                                       
Ign http://ftp.spline.de unstable/non-free Translation-en                                                                           
Ign http://ftp.spline.de unstable/contrib Translation-en_US                                                                         
Ign http://ftp.spline.de unstable/contrib Translation-en                                                                           
Ign http://ftp.spline.de unstable/main Translation-en_US                                                                           
Ign http://ftp.spline.de unstable/main Translation-en                                                                               
Ign http://ftp.spline.de unstable/non-free Translation-en_US                                                                       
Ign http://ftp.spline.de unstable/non-free Translation-en                                                                           
Fetched 47.0 kB in 8s (5,755 B/s)                                                                                                   
Reading package lists... Done                                                                                                       
[08:06:34] root@thinkpad-s540:/home/jorg# apt-get dist-upgrade -dV                                                                 
Reading package lists... Done                                                                                                       
Building dependency tree                                                                                                           
Reading state information... Done                                                                                                   
Calculating upgrade... Some packages could not be installed. This may mean that you have                                           
requested an impossible situation or if you are using the unstable                                                                 
distribution that some required packages have not yet been created                                                                 
or been moved out of Incoming.                                                                                                     
The following information may help to resolve the situation:                                                                       
                                                                                                                                   
The following packages have unmet dependencies:                                                                                     
 xserver-xorg : Depends: xserver-xorg-video-all but it is not going to be installed or
                         xorg-driver-video
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.

Will "just wait a few days" bring the solution or do I have to study musca's thread on "aspcud" very carefully?

Greetings,
Jörg
« Last Edit: 2015/05/10, 02:38:20 by musca »

Offline der_bud

  • User
  • Posts: 910
  • member
Re: dependencies problem with xserver-xorg
« Reply #1 on: 2015/05/05, 09:53:07 »
Confirmed, I deleted the metapackage xserver-xorg-video-all manually earlier, and now xserver-xorg complains because it depends on {xserver-xorg-video-all | xorg-driver-video}.
Manually installing xserver-xorg-video-all and then dist-upgrading does NOT solve this, because some drivers get uninstalled then and are not reinstallable (cause: xorg-video-abi-18) => Breakage.

So set xserver-xorg-core on hold , or wait.
Du lachst? Wieso lachst du? Das ist doch oft so, Leute lachen erst und dann sind sie tot.

Offline musca

  • Global Moderator
  • User
  • *****
  • Posts: 725
  • sid, fly high!
Re: dependencies problem with xserver-xorg
« Reply #2 on: 2015/05/05, 11:01:41 »
Hello,
I'd like to give a little background info taken from user discussion on our irc support channel (You are welcome to stop by on irc.oftc.net, and meet with the community on either international channel #siduction or german channel #siduction-de . Beginners: You only need to start "siduction-irc").

The package xserver-xorg depends on "xserver-xorg-video-all | xorg-driver-video"  (amongst others). Xserver-xorg-video-all is a metapackage that depends on all other driver packages. This breaks as soon as one single packagage misses.

So the second alternative is the way to go: siduction comes with some selected drivers and each of them provides the virtual package xorg-driver-video. At the moment all of theese drivers are neither installable nor upgradeable, so we see breakage and need to wait.

There is one exception: if you have installed one of the proprietary drivers (fglrx-driver or nvidia-driver), then the virtual package xserver-xorg-driver is provided by those.  This leads to removal of all missing drivers.
remove xserver-xorg-video-ati (1:7.5.0-1) ...
remove xserver-xorg-video-fbdev (1:0.4.4-1+b2) ...
remove xserver-xorg-video-intel (2:2.21.15-2+b2) ...
remove xserver-xorg-video-mach64 (6.9.4-2) ...
remove xserver-xorg-video-mga (1:1.6.4-1) ...
remove xserver-xorg-video-nouveau (1:1.0.11-1) ...
remove xserver-xorg-video-r128 (6.9.2-1+b2) ...
remove xserver-xorg-video-radeon (1:7.5.0-1) ...
remove xserver-xorg-video-vesa (1:2.3.3-1+b3) ...
remove xserver-xorg-video-vmware (1:13.1.0-1) ...
You may continue and use proprietary driver, but i think you want to have the free drivers as a fallback (just in case ...). As soon as the drivers will be available again, you can reinstall the lost packages with
Code: [Select]
apt-get install xserver-xorg-video-{ati,fbdev,intel,mach64,mga,modesetting,nouveau,qxl,r128,radeon,vesa,vmware}
greetings
musca
« Last Edit: 2015/05/05, 11:22:16 by musca »
„Es irrt der Mensch, solang er strebt.“  (Goethe, Faust)

Offline cas

  • User
  • Posts: 401
Re: dependencies problem with xserver-xorg
« Reply #3 on: 2015/05/05, 14:38:10 »
I'd like to give a little background info
interesting, thnx

Offline sunrat

  • User
  • Posts: 328
Re: dependencies problem with xserver-xorg
« Reply #4 on: 2015/05/05, 16:00:28 »
I just did d-u with no problems. Using nouveau with GTX 560 Ti, xserver-xorg-video-all is not installed.

Offline Jörg

  • User
  • Posts: 95
Re: dependencies problem with xserver-xorg
« Reply #5 on: 2015/05/05, 16:13:42 »
Thank you @der_bud for your advice. I put "xserver-xorg-core" on hold and thereafter DU'ed without any problems. Also thanks for your background information @musca.

Greetings,
Jörg
« Last Edit: 2015/05/05, 16:49:27 by Jörg »

Offline Millie

  • User
  • Posts: 40
Re: dependencies problem with xserver-xorg
« Reply #6 on: 2015/05/05, 17:21:31 »

So set xserver-xorg-core on hold , or wait.
Thanks der_bud. This little piece of information solved this problem for me for the moment.  :)
« Last Edit: 2015/05/05, 17:29:36 by Millie »

Offline vilde

  • User
  • Posts: 666
Re: dependencies problem with xserver-xorg
« Reply #7 on: 2015/05/05, 17:45:25 »
If not in a big need to d-u for some reason, I would wait, and I do wait.

Offline Millie

  • User
  • Posts: 40
Re: dependencies problem with xserver-xorg
« Reply #8 on: 2015/05/05, 18:12:53 »
If not in a big need to d-u for some reason, I would wait, and I do wait.
I agree, however, this is a "learning experience" opportunity for me since I'm new to Sid. I did this on my LXDE to get a better understanding of how to handle package problems like this one, but I'm going leave my Xfce as-is and wait. That's how I've been approaching d-u with Siduction. If I break one, I still have the other as a backup to get online and find a fix.

Offline vilde

  • User
  • Posts: 666
Re: dependencies problem with xserver-xorg
« Reply #9 on: 2015/05/05, 20:38:03 »
I have a tendency to forget things, if I put something on hold I will probably forget it.

Offline ayla

  • User
  • Posts: 1.702
Re: dependencies problem with xserver-xorg
« Reply #10 on: 2015/05/05, 22:43:19 »
then a "apt-mark showhold" from time to time may help :)
Kernel: 4.18.11-towo.1-siduction-amd64 x86_64
Desktop: KDE Plasma 5.13.5
(mostly) kept current siduction "18.3.0 Patience"
HP EliteBook 8570p; MoBo: HP model: 17A7 v: KBC Version 42.35
Dual core  i5-3320M (-MT-MCP-)
Intel 3. Gen Graphics (Ivybridge) Driver:i915/ intel
 Wifi Intel Centrino N6205

Offline Millie

  • User
  • Posts: 40
Re: dependencies problem with xserver-xorg
« Reply #11 on: 2015/05/06, 00:44:17 »
It looks like everything works now. I just checked and everything installed without a problem.
Code: [Select]
root@siductionlxde:/home/millie# apt-mark unhold xserver-xorg-core
Canceled hold on xserver-xorg-core.
root@siductionlxde:/home/millie# apt-get dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages will be REMOVED:
  xserver-xorg-video-ati xserver-xorg-video-intel xserver-xorg-video-mach64
  xserver-xorg-video-modesetting xserver-xorg-video-qxl
  xserver-xorg-video-r128
The following packages will be upgraded:
  at-spi2-core gir1.2-atk-1.0 libatk1.0-0 libatk1.0-data libatspi2.0-0
  libcap-ng0 libdjvulibre-text libdjvulibre21 libio-socket-ssl-perl libtcl8.5
  libtiff5 libzvbi-common libzvbi0 xserver-xorg-core xserver-xorg-video-fbdev
  xserver-xorg-video-mga xserver-xorg-video-nouveau xserver-xorg-video-radeon
  xserver-xorg-video-vesa xserver-xorg-video-vmware
20 upgraded, 0 newly installed, 6 to remove and 0 not upgraded.
Need to get 6,854 kB of archives.
After this operation, 3,259 kB disk space will be freed.
Do you want to continue? [Y/n]

Offline vilde

  • User
  • Posts: 666
Re: dependencies problem with xserver-xorg
« Reply #12 on: 2015/05/06, 01:12:50 »
@ ayla
then a "apt-mark showhold" from time to time may help :)
Yes That's right ayla, but then I have to remember to do that ................ ;)

@ Millie
But you also lost this packages, could be bad?
Code: [Select]
The following packages will be REMOVED:
  xserver-xorg-video-ati xserver-xorg-video-intel xserver-xorg-video-mach64
  xserver-xorg-video-modesetting xserver-xorg-video-qxl
  xserver-xorg-video-r128
« Last Edit: 2015/05/06, 01:17:05 by vilde »

Offline ayla

  • User
  • Posts: 1.702
Re: dependencies problem with xserver-xorg
« Reply #13 on: 2015/05/06, 01:17:23 »
I'm 57, I know the problem...  :'(
Kernel: 4.18.11-towo.1-siduction-amd64 x86_64
Desktop: KDE Plasma 5.13.5
(mostly) kept current siduction "18.3.0 Patience"
HP EliteBook 8570p; MoBo: HP model: 17A7 v: KBC Version 42.35
Dual core  i5-3320M (-MT-MCP-)
Intel 3. Gen Graphics (Ivybridge) Driver:i915/ intel
 Wifi Intel Centrino N6205

Offline vilde

  • User
  • Posts: 666
Re: dependencies problem with xserver-xorg
« Reply #14 on: 2015/05/06, 01:24:50 »
Hur man än vänder sig har man ändan bak, as we say here in Sweden